package account

import "github.com/gofiber/fiber/v2"

func (r *Account) Register(router fiber.Router) {
	router.Get("/account/get", r.GetCurrentAccount)
	router.Post("/account/create", r.CreateAccount)
	router.Delete("/account/delete", r.DeleteAccount)
	router.Get("/accounts", r.GetAccounts)
	router.Get("/privilege/:userId", r.GetPrivilegeByUserID)
	router.Delete("/account/:userId", r.DeleteAccountByUserID)
	router.Post("/account/manualdone", r.ManualDone)
	router.Post("/account/leadtarget", r.PostLeadTarget)
	router.Delete("/account/leadtarget/:id", r.DeleteLeadTarget)
	router.Get("/account/leadtarget/:quizID", r.GetLeadTarget)
	router.Put("/account/leadtarget", r.UpdateLeadTarget)
}

func (r *Account) Name() string {
	return ""
}
